# ILBToken

Required interface of LBToken contract

## TransferBatch

```solidity
event TransferBatch(
    address indexed sender, 
    address indexed from, 
    address indexed to, 
    uint256[] ids, 
    uint256[] amounts
    )
```

## ApprovalForAll

```solidity
event ApprovalForAll(
    address indexed account, 
    address indexed sender, 
    bool approved
    )
```

## name

```solidity
function name() public view virtual override returns (string memory)
```

## symbol

```solidity
function symbol() public view virtual override returns (string memory)
```

## totalSupply

```solidity
function totalSupply(uint256 id) public view virtual override returns (uint256)
```

## balanceOf

```solidity
function balanceOf(address account, uint256 id) public view virtual override returns (uint256)
```

## balanceOfBatch

```solidity
function balanceOfBatch(address[] memory accounts, uint256[] memory ids) public view virtual override checkLength(accounts.length, ids.length) returns (uint256[] memory batchBalances)
```

## isApprovedForAll

```solidity
function isApprovedForAll(address owner, address spender) public view virtual override returns (bool)
```

## approveForAll

```solidity
function approveForAll(address spender, bool approved) public virtual override
```

## batchTransferFrom

```solidity
function batchTransferFrom(address from, address to, uint256[] memory ids, uint256[] memory amounts) public virtual override checkApproval(from, msg.sender)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.lfj.gg/contracts/interfaces/ilbtoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
